;=======================================================================
; SPICNT : SPIƶq
;          SPICNT = 0 ==>  SPIBUFBit 7 = 1 Ū , SPIBUFBit 7 = 0 g
;          SPICNT = 1 ==>  SPIBUF = wRAM Address  Low byte  --> FSR0L
;          SPICNT = 2 ==>  SPIBUF = wRAM Address  High byte --> FSR0H
;          SPICNT > 2 ==>   wRAM Address iŪgʧ@
; SPICNTiWL 255
; CS PIN 10  01 |M SPICNT
;=======================================================================
      org   0000h
ProReset:      
         nop
         jmp   ProBegin

      org   0004h
        Include  Interrupt.asm
;======================================================== 
ProBegin: 
       include   SysIni.asm
;==============================================================  
MainLoop:
        btsz    LVDCN,LVD,ACCE
        bsf     RLCDG,b_lbat,ACCE
        btss    LVDCN,LVD,ACCE
        bcf     RLCDG,b_lbat,ACCE
        btsz  ADCFg,b_nonevalue,ACCE
        jmp   CALADCPRO
        include   Keyscan.asm
        include   MainPro.asm
       jmp  MainLoop
CALADCPRO:
	bcf	PT1M2,6,ACCE
       btss    KeyPT,bK1,ACCE
       jmp     CALADCPRO
       call    delay10ms
       btss    KeyPT,bK1,ACCE
       jmp     CALADCPRO
       clrf    KeyCnt,ACCE
       call    ClearLCD
       include   ADCCAL.asm              
;=================================================
;=================================================
Main_Sleep:
        bcf      PT2,5,ACCE     ; Loadcell Power off
        call     ClearLCD
        bcf      ADCCN1,ENADC,ACCE
        clrf     ADCCN1,ACCE
        clrf     ADCCN2,ACCE
        clrf     ADCCN3,ACCE
        clrf     LCDCN1,ACCE
        clrf     PWRCN,ACCE
        clrf     LVDCN,ACCE
   Main_Sleep1:     
       btss    KeyPT2,bK3,ACCE
       jmp     Main_Sleep1
       call    Delay10ms
       btss    KeyPT2,bK3,ACCE
       jmp     Main_Sleep1
       bsf     INTE1,E0IE,ACCE
       bcf     INTF1,E0IF,ACCE
       slp
       nop
   Main_Sleep2:     
       bcf     INTE1,E0IE,ACCE
       bcf     INTF1,E0IF,ACCE
       btss    KeyPT,bK1,ACCE
       jmp     Main_Sleep2
       call    Delay10ms
       btss    KeyPT,bK1,ACCE
       jmp     Main_Sleep2
       jmp     ProBegin
;=================================================
     include    ADC.asm
;=======================================================================================================              
      include   Math.asm
      Include  H08.INC
      include  Main.inc
      include  S24CXX.asm
      include   Display.asm
      include   LCDINDX.asm
      include    Subroutine.asm
     ; include   Keyscan.asm
;======================================================================      
;=======================================================================================================   
    END     